/* NeoStats - IRC Statistical Services 
** Copyright (c) 1999-2003 Adam Rutter, Justin Hammond
** http://www.neostats.net/
**
**  Portions Copyright (c) 2000-2001 ^Enigma^
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
**  USA
**
** NeoStats CVS Identification
** $Id: ms_help.c 611 2003-10-06 14:59:23Z Mark $
*/

const char *ms_help[] = {
	"\2MoraleServ\2 is a fun module to send cheery",
	"messages to friends on IRC.",
	"",
	"The following commands can be used with MoraleServ",
	"",
	"    ABOUT      About MoraleServ",
	"    VERSION    Display version info",
	"    HAIL       Hail someone on IRC",
	"    ODE        Send an ODE to someone on IRC",
	"    POEM       Send a poem to someone on IRC",
	"    LAPDANCE   Give someone on IRC a lapdance",
	"    REDNECK    Send a Redneck message.",
	"    CHEERUP    Send an cheer up message to someone on IRC",
	"    BEHAPPY    Send an be happy song to someone on IRC",
	"    WONDERFUL  Send an song to someone on IRC",
	NULL
};

const char *ms_help_on_help[] = {
	"",
	"To use a command, type",
	"    \2/msg MoraleServ command\2",
	"For for more information on a command, type", 
	"    \2/msg MoraleServ HELP command\2.",
	NULL
};

const char *ms_help_about[] = {
	"\2MoraleServ\2 is a fun module to send cheery",
	"messages to friends on IRC.",
	NULL
};

const char *ms_help_hail[] = {
	"Syntax: \2HAIL <WHO TO HAIL> <NICK TO SEND HAIL TO>\2",
	"",
	"Send a \"hail\" song greeting to a loved one on IRC.",
	NULL
};

const char *ms_help_ode[] = {
	"Syntax: \2ODE <WHO THE ODE ODE IS ABOUT> <NICK TO SEND ODE TO>\2",
	"",
	"Send an \"ode\" about a user to a loved one on IRC.",
	NULL
};

const char *ms_help_lapdance[] = {
	"Syntax: \2LAPDANCE <NICK>",
	"",
	"Send a \"lapdance\" to a loved one on IRC, sure to cheer any person up\2",
	NULL
};

const char *ms_help_version[] = {
	"Syntax: \2VERISON\2",
	"",
	"Display current version information via PRIVMSG/NOTICE\2",
	NULL
};

const char *ms_help_poem[] = {
	"Syntax: \2POEM <WHO THE POEM IS ABOUT> <NICK TO SEND TO>\2",
	"",
	"Send a \"poem\" about a user to a loved one on IRC.",
	NULL
};

const char *ms_help_redneck[] = {
	"Syntax: \2REDNECK <NICK>\2",
	"",
	"Send a \"redneck\" dubbing to a loved one on IRC.",
	NULL
};


const char *ms_help_cheerup[] = {
	"Syntax: \2CHEERUP <NICK>\2",
	"",
	"Send a \"cheerup\" message to a loved one on IRC to cheer them up.",
	NULL
};

const char *ms_help_behappy[] = {
	"Syntax: \2BEHAPPY <NICK>\2",
	"",
	"Send a \"behappy\" song to a loved one on IRC to cheer them up.",
	"This function sends a number of messages that may ping the target",
	"nick out if they do not have a fast connection.",
	"DO NOT USE unless you are sure.",
	NULL
};

const char *ms_help_wonderful[] = {
	"Syntax: \2WONDERFUL <NICK>\2",
	"",
	"Send a \"I hope you don't mind, that I put down in words...\" song",
	"to a loved one on IRC to cheer them up. This function will send the",
	"lyrics with the target nick in them to the target nick",
	NULL
};
